# assemblyname::get-version

Gets the version of the assembly.

### Usage

`Version assemblyname::get-version(assemblyName)`

### Parameters

Name | Type | Description
--- | --- | ---
assemblyName | AssemblyName | The AssemblyName of the assembly.

### Return Value

The version of the assembly.

### Examples

- Output the major version of the `nunit.framework` assembly to the build log.

      <echo message="${version::get-major-version(assemblyname::get-version(assemblyname::get-assembly-name('nunit.framework.dll')))}" />

### Requirements

Assembly: NAnt.Core (0.90.3780.0)

### See Also

assembly::get-name() | Version Functions